Bukkit, CraftBukkit, Spigot & BungeeCord 1.13.1 Development Builds

Discussion in 'News and Announcements' started by md_5, Aug 26, 2018.

Thread Status:
Not open for further replies.
  1. 1.13.2 won't be released until Monday. There's another pre-release coming out today.
     
  2. Changes in 1.13.2-pre2
    • MC-137331 - Hostile and neutral mobs rarely spawn in positive Z coordinates
    • MC-137300 - ConcurrentModificationException thrown when upgrading world
    • MC-137229 - Book corruption when 1.8 world is loaded in 1.13
    • MC-136888 - Game crashes when shift-right-clicking a shulker box while holding bone meal
    • MC-136759 - Spawn eggs do not make sure that the entity is valid for the egg, allowing for arbitrary command execution in certain cases
    • MC-136526 - Crash when generating near top of world
    • MC-135453 - Crash while rendering block entity
     
    • Informative Informative x 1
  3. That confirms that the last soldiers have given up Minecraft 1.8. Or at least many of them.
     
  4. realLinebeck asked above if the only conversion problem was with chests. The answer is no.
     
  5. Uhm, Trading Efficiency 5 with villager problems occured on our Network. Turns into Smite I
     
  6. So... is it a good time to update from 1.12.2 to 1.13.1 yet?
     
  7. No. Wait for 1.13.2
     
  8. That's a pretty extreme case that won't apply to most people.... It also does not even guarantee its applicable to Spigot either.

    That mob spawn one was a new bug in pre1.
     
  9. Why is everyone asking plugin-related questions here?
     
  10. Because the people that use spigot, use it for the plugins, and that's their greatest concern?
     
  11. Next time, quote me so I know you are talking to me.

    If you are asking for plugin help, Spigot has a specific section for that: "Spigot Plugin Help"
    I just don't understand why people are looking for help with errors that are within the plugin or don't even support 1.13.
     
  12. @Demeng7215
    Why so rude? If you dont understand why, ask normal.
     
    #533 seema, Oct 19, 2018
    Last edited: Oct 20, 2018
    • Optimistic Optimistic x 2
    • Agree Agree x 1
  13. I am not trying to be rude, you are the one being rude here. I want to understand why people ask questions regarding plugins that clearly don't support 1.13/have to relation to 1.13 here. Asking somebody to quote is actually helping them, sometimes I don't read the alerts that say "_____ has replied to ______" and they won't get an answer from me.
    You don't learn by not understanding something and not understanding it forever.
     
  14. While I do agree it is weird, and slightly annoying people posting plugin related issues in this thread, you have to also take a look around at spigot.
    For example, the "Spigot Discussion" forum is meant for talking about spigot and its features. 98% of the threads in that forum are people asking plugin questions and posting server help, even though there are topics for that "Spigot Help" and "Spigot Plugin Help"
    Clearly people can't read!

    But I do feel that these last few messages are derailing this thread more than it needs to be.
    If you dont like seeing questions about plugins in here, just move on rather than the 2 of you fighting back and forth, derailing this topic much more than the problem at hand.
     
    • Like Like x 2
  15. Do a test run on a local server. It's likely the biggest issues you'll run into are plugin related.

    Plugins aside, if you don't care about structure spawning on old worlds or something like the occasional light gray banner (shield?) getting messed up, it's doubtful you'll run into any other conversion issues for a survival server. Of course, almost all command blocks will have to be redone. There some that are pretty specific, like 1.8 books losing data. I imagine this affected me, but I have no idea where.
     
    • Informative Informative x 1
  16. Wait until there's a stable build of Spigot 1.13.2 or better where on the frontpage the 1.13 development builds go from orange to green and it becomes a recommended version - make sure the plugins you're using for that build are stable as well and still do what you want.
     
    • Informative Informative x 1
  17. Thanks for all the helpful replies, I decided to setup a local test server first, and see what 1.13.1 behaves like.
     
  18. Shaggy67

    Benefactor

    Since 1.8 hasn't been supported in a long time, I don't think this qualifies as a "problem".
     
  19. Isnt that what everybody does? Or do ppl just trust they dont need to backup and clone and test ...
     
Thread Status:
Not open for further replies.